using System;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationTPAR
{
    public class TPAR2021
    {

        public bool IntCollectionExists = false;
        public int IntCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:INT
        /// TPAR::Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string TPAR132 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT
        /// TPAR::Identifiers.TaxAgentNumber.Identifier
        /// </summary>
        public string TPAR131 = null;

        public bool InT_OrganisationNameDetailsCollectionExists = false;
        public int InT_OrganisationNameDetailsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:INT/:OrganisationNameDetails
        /// TPAR::OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string TPAR4 = null;

        public bool InT_ElectronicContactTelephoneCollectionExists = false;
        public int InT_ElectronicContactTelephoneCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:INT/:ElectronicContactTelephone
        /// TPAR::ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string TPAR8 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT/:ElectronicContactTelephone
        /// TPAR::ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string TPAR9 = null;

        public bool InT_PersonUnstructuredNameCollectionExists = false;
        public int InT_PersonUnstructuredNameCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:INT/:PersonUnstructuredName
        /// TPAR::PersonUnstructuredName.FullName.Text
        /// </summary>
        public string TPAR12 = null;

        public bool InT_ElectronicContactFacsimileCollectionExists = false;
        public int InT_ElectronicContactFacsimileCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:INT/:ElectronicContactFacsimile
        /// TPAR::ElectronicContact.Facsimile.Area.Code
        /// </summary>
        public string TPAR15 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT/:ElectronicContactFacsimile
        /// TPAR::ElectronicContact.Facsimile.Minimal.Number
        /// </summary>
        public string TPAR16 = null;

        public bool InT_AddressDetailsBusinessCollectionExists = false;
        public int InT_AddressDetailsBusinessCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:INT/:AddressDetailsBusiness
        /// TPAR::AddressDetails.OverseasAddress.Indicator
        /// </summary>
        public bool? TPAR18 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT/:AddressDetailsBusiness
        /// TPAR::AddressDetails.Line1.Text
        /// </summary>
        public string TPAR21 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT/:AddressDetailsBusiness
        /// TPAR::AddressDetails.Line2.Text
        /// </summary>
        public string TPAR22 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT/:AddressDetailsBusiness
        /// TPAR::AddressDetails.LocalityName.Text
        /// </summary>
        public string TPAR25 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT/:AddressDetailsBusiness
        /// TPAR::AddressDetails.Postcode.Text
        /// </summary>
        public string TPAR26 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT/:AddressDetailsBusiness
        /// TPAR::AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string TPAR27 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT/:AddressDetailsBusiness
        /// TPAR::AddressDetails.Country.Code
        /// </summary>
        public string TPAR29 = null;

        public bool InT_AddressDetailsPostalCollectionExists = false;
        public int InT_AddressDetailsPostalCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:INT/:AddressDetailsPostal
        /// TPAR::AddressDetails.OverseasAddress.Indicator
        /// </summary>
        public bool? TPAR31 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT/:AddressDetailsPostal
        /// TPAR::AddressDetails.Line1.Text
        /// </summary>
        public string TPAR34 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT/:AddressDetailsPostal
        /// TPAR::AddressDetails.Line2.Text
        /// </summary>
        public string TPAR35 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT/:AddressDetailsPostal
        /// TPAR::AddressDetails.LocalityName.Text
        /// </summary>
        public string TPAR38 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT/:AddressDetailsPostal
        /// TPAR::AddressDetails.Postcode.Text
        /// </summary>
        public string TPAR39 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT/:AddressDetailsPostal
        /// TPAR::AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string TPAR40 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT/:AddressDetailsPostal
        /// TPAR::AddressDetails.Country.Code
        /// </summary>
        public string TPAR42 = null;

        public bool InT_ElectronicContactElectronicMailCollectionExists = false;
        public int InT_ElectronicContactElectronicMailCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:INT/:ElectronicContactElectronicMail
        /// TPAR::ElectronicContact.ElectronicMail.Address.Text
        /// </summary>
        public string TPAR45 = null;

        public bool InT_DeclarationCollectionExists = false;
        public int InT_DeclarationCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:INT/:Declaration
        /// TPAR::Declaration.StatementAccepted.Indicator
        /// </summary>
        public bool? TPAR128 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT/:Declaration
        /// TPAR::Declaration.Signature.Date
        /// </summary>
        public DateTime? TPAR129 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT/:Declaration
        /// TPAR::Declaration.SignatoryIdentifier.Text
        /// </summary>
        public string TPAR130 = null;

        public bool RpCollectionExists = false;
        public int RpCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP
        /// TPAR::Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string TPAR133 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP
        /// TPAR::OrganisationDetails.OrganisationBranch.Code
        /// </summary>
        public string TPAR46 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP
        /// TPAR::Period.Start.Date
        /// </summary>
        public DateTime? TPAR153 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP
        /// TPAR::Period.End.Date
        /// </summary>
        public DateTime? TPAR154 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP
        /// TPAR::Report.TargetFinancial.Year
        /// </summary>
        public int? TPAR47 = null;

        public bool RP_OrganisationNameDetailsMainCollectionExists = false;
        public int RP_OrganisationNameDetailsMainCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:OrganisationNameDetailsMain
        /// TPAR::OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string TPAR51 = null;

        public bool RP_OrganisationNameDetailsTradingCollectionExists = false;
        public int RP_OrganisationNameDetailsTradingCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:OrganisationNameDetailsTrading
        /// TPAR::OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string TPAR55 = null;

        public bool RP_AddressDetailsCollectionExists = false;
        public int RP_AddressDetailsCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:AddressDetails
        /// TPAR::AddressDetails.OverseasAddress.Indicator
        /// </summary>
        public bool? TPAR57 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:AddressDetails
        /// TPAR::AddressDetails.Line1.Text
        /// </summary>
        public string TPAR60 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:AddressDetails
        /// TPAR::AddressDetails.Line2.Text
        /// </summary>
        public string TPAR61 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:AddressDetails
        /// TPAR::AddressDetails.LocalityName.Text
        /// </summary>
        public string TPAR64 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:AddressDetails
        /// TPAR::AddressDetails.Postcode.Text
        /// </summary>
        public string TPAR65 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:AddressDetails
        /// TPAR::AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string TPAR66 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:AddressDetails
        /// TPAR::AddressDetails.Country.Code
        /// </summary>
        public string TPAR68 = null;

        public bool RP_PersonUnstructuredNameCollectionExists = false;
        public int RP_PersonUnstructuredNameCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:PersonUnstructuredName
        /// TPAR::PersonUnstructuredName.FullName.Text
        /// </summary>
        public string TPAR71 = null;

        public bool RP_ElectronicContactTelephoneCollectionExists = false;
        public int RP_ElectronicContactTelephoneCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:ElectronicContactTelephone
        /// TPAR::ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string TPAR75 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:ElectronicContactTelephone
        /// TPAR::ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string TPAR76 = null;

        public bool RP_ElectronicContactFacsimileCollectionExists = false;
        public int RP_ElectronicContactFacsimileCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:ElectronicContactFacsimile
        /// TPAR::ElectronicContact.Facsimile.Area.Code
        /// </summary>
        public string TPAR79 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:ElectronicContactFacsimile
        /// TPAR::ElectronicContact.Facsimile.Minimal.Number
        /// </summary>
        public string TPAR80 = null;

        public bool RP_ElectronicContactElectronicMailCollectionExists = false;
        public int RP_ElectronicContactElectronicMailCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:ElectronicContactElectronicMail
        /// TPAR::ElectronicContact.ElectronicMail.Address.Text
        /// </summary>
        public string TPAR83 = null;

    }
}
