using System;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationTPARPYE
{
    public class TPARPYE2021
    {

    public bool PayeeCollectionExists = false;
    public int PayeeCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee
    /// TPARPYE::Identifiers.AustralianBusinessNumber.Identifier
    /// </summary>
    public string TPARPYE84 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee
    /// TPARPYE::FinancialInstitutionAccount.BankStateBranch.Number
    /// </summary>
    public string TPARPYE120 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee
    /// TPARPYE::FinancialInstitutionAccount.FinancialInstitutionAccount.Number
    /// </summary>
    public string TPARPYE121 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee
    /// TPARPYE::Income.BusinessPaymentGross.Amount
    /// </summary>
    public decimal? TPARPYE122 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee
    /// TPARPYE::IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
    /// </summary>
    public decimal? TPARPYE123 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee
    /// TPARPYE::GoodsAndServicesTax.Liability.Amount
    /// </summary>
    public decimal? TPARPYE124 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee
    /// TPARPYE:gfagg.02.05:GovernmentFunding.GrantProgramName.Text
    /// </summary>
    public string TPARPYE134 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee
    /// TPARPYE:gfagg.02.05:GovernmentFunding.GrantPayment.Date
    /// </summary>
    public DateTime? TPARPYE135 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee
    /// TPARPYE:rvctc2.02.16:IncomeTax.PayAsYouGoWithholding.ABNNotProvidedStatement.Indicator
    /// </summary>
    public bool? TPARPYE136 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee
    /// TPARPYE:rvctc1.02.42:IncomeTax.PaymentType.Code
    /// </summary>
    public string TPARPYE137 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee
    /// TPARPYE:gfagg.02.06:GovernmentFunding.ITAADivision59Indicator.Code
    /// </summary>
    public string TPARPYE138 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee
    /// TPARPYE::Report.Amendment.Indicator
    /// </summary>
    public bool? TPARPYE125 = null;

    public bool Payee_PersonNameDetailsCollectionExists = false;
    public int Payee_PersonNameDetailsCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:PersonNameDetails
    /// TPARPYE::PersonNameDetails.FamilyName.Text
    /// </summary>
    public string TPARPYE91 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:PersonNameDetails
    /// TPARPYE::PersonNameDetails.GivenName.Text
    /// </summary>
    public string TPARPYE92 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:PersonNameDetails
    /// TPARPYE::PersonNameDetails.OtherGivenName.Text
    /// </summary>
    public string TPARPYE93 = null;

    public bool Payee_OrganisationNameDetailsMainCollectionExists = false;
    public int Payee_OrganisationNameDetailsMainCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:OrganisationNameDetailsMain
    /// TPARPYE::OrganisationNameDetails.OrganisationalName.Text
    /// </summary>
    public string TPARPYE97 = null;

    public bool Payee_OrganisationNameDetailsTradingCollectionExists = false;
    public int Payee_OrganisationNameDetailsTradingCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:OrganisationNameDetailsTrading
    /// TPARPYE::OrganisationNameDetails.OrganisationalName.Text
    /// </summary>
    public string TPARPYE101 = null;

    public bool Payee_AddressDetailsCollectionExists = false;
    public int Payee_AddressDetailsCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:AddressDetails
    /// TPARPYE::AddressDetails.OverseasAddress.Indicator
    /// </summary>
    public bool? TPARPYE103 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:AddressDetails
    /// TPARPYE::AddressDetails.Line1.Text
    /// </summary>
    public string TPARPYE106 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:AddressDetails
    /// TPARPYE::AddressDetails.Line2.Text
    /// </summary>
    public string TPARPYE107 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:AddressDetails
    /// TPARPYE::AddressDetails.LocalityName.Text
    /// </summary>
    public string TPARPYE110 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:AddressDetails
    /// TPARPYE::AddressDetails.Postcode.Text
    /// </summary>
    public string TPARPYE111 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:AddressDetails
    /// TPARPYE::AddressDetails.StateOrTerritory.Code
    /// </summary>
    public string TPARPYE112 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:AddressDetails
    /// TPARPYE::AddressDetails.Country.Code
    /// </summary>
    public string TPARPYE114 = null;

    public bool Payee_ElectronicContactTelephoneCollectionExists = false;
    public int Payee_ElectronicContactTelephoneCollectionCount = 0;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:ElectronicContactTelephone
    /// TPARPYE::ElectronicContact.Telephone.Area.Code
    /// </summary>
    public string TPARPYE118 = null;
    
    /// <summary>
    /// /xbrli:xbrl/:Payee/:ElectronicContactTelephone
    /// TPARPYE::ElectronicContact.Telephone.Minimal.Number
    /// </summary>
    public string TPARPYE119 = null;

    }
}
